#!/usr/bin/python3

import sys
from PyQt6.QtWidgets import QApplication, QMainWindow
from utils import Utils
from file import FileActions
from connect_gui import connect_gui
from gui.main_window import Ui_MainWindow


class BreadEditor:
    def __init__(self):
        self.utils = Utils(self)
        self.file_actions = FileActions(self)

        self.open_files = {}

        self.qt_app = QApplication(sys.argv)

        self.QTMainWindow = QMainWindow()

        self.main_window = Ui_MainWindow()
        self.main_window.setupUi(self.QTMainWindow)

        connect_gui(self)

    def run(self):
        self.QTMainWindow.show()
        sys.exit(self.qt_app.exec())


if __name__ == "__main__":
    editor = BreadEditor()
    editor.run()
